// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package api

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/api"
)

/******************************************************************************
 *
 * @Description              : VwPlanInfo的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-05-18 10:52:46
 *
 ******************************************************************************/
var VwPlanInfo_Barcode = grmi.NewField("Barcode", "vw_plan_info.barcode", "barcode", grmi.TypeString)
var VwPlanInfo_StationCode = grmi.NewField("StationCode", "vw_plan_info.station_code", "stationcode", grmi.TypeString)
var VwPlanInfo_StationDesc = grmi.NewField("StationDesc", "vw_plan_info.station_desc", "stationdesc", grmi.TypeString)
var VwPlanInfo_ConfigDesc = grmi.NewField("ConfigDesc", "vw_plan_info.config_desc", "configdesc", grmi.TypeString)
var VwPlanInfo_LogTime = grmi.NewField("LogTime", "vw_plan_info.log_time", "logtime", grmi.TypeDateTime)
var VwPlanInfo_AutoId = grmi.NewField("AutoId", "vw_plan_info.auto_id", "autoid", grmi.TypeInt64)
var VwPlanInfo_BarcodeDesc = grmi.NewField("BarcodeDesc", "vw_plan_info.barcode_desc", "barcodedesc", grmi.TypeString)
var VwPlanInfo_PartCode = grmi.NewField("PartCode", "vw_plan_info.part_code", "partcode", grmi.TypeString)
var VwPlanInfo_PlanDttm = grmi.NewField("PlanDttm", "vw_plan_info.plan_dttm", "plandttm", grmi.TypeDateTime)
var VwPlanInfo_Class1 = grmi.NewField("Class1", "vw_plan_info.class1", "class1", grmi.TypeInt)
var VwPlanInfo_ConfigKey = grmi.NewField("ConfigKey", "vw_plan_info.config_key", "configkey", grmi.TypeString)
var VwPlanInfo_Seq = grmi.NewField("Seq", "vw_plan_info.seq", "seq", grmi.TypeInt64)
var VwPlanInfo_Serial = grmi.NewField("Serial", "vw_plan_info.serial", "serial", grmi.TypeString)
var VwPlanInfo_State = grmi.NewField("State", "vw_plan_info.state", "state", grmi.TypeInt)
var VwPlanInfo_Station = grmi.NewField("Station", "vw_plan_info.station", "station", grmi.TypeInt)
var VwPlanInfo_Memo = grmi.NewField("Memo", "vw_plan_info.memo", "memo", grmi.TypeString)
var VwPlanInfo_CustomId = grmi.NewField("CustomId", "vw_plan_info.custom_id", "customid", grmi.TypeString)
var VwPlanInfo_Codebar = grmi.NewField("Codebar", "vw_plan_info.codebar", "codebar", grmi.TypeString)
var VwPlanInfo_IsRefresh = grmi.NewField("IsRefresh", "vw_plan_info.is_refresh", "isrefresh", grmi.TypeBool)
var VwPlanInfo_StateName = grmi.NewField("StateName", "vw_plan_info.state_name", "statename", grmi.TypeString)
var VwPlanInfo_CreateTime = grmi.NewField("CreateTime", "vw_plan_info.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : VwPlanInfo的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-05-18 10:52:46
 *
 ******************************************************************************/
var VwPlanInfo = grmi.NewEntity(
	"vw_plan_info",
	func() interface{} { return &model.VwPlanInfo{} },
	map[string]grmi.Field{
		VwPlanInfo_Barcode.Name:     VwPlanInfo_Barcode,
		VwPlanInfo_StationCode.Name: VwPlanInfo_StationCode,
		VwPlanInfo_StationDesc.Name: VwPlanInfo_StationDesc,
		VwPlanInfo_ConfigDesc.Name:  VwPlanInfo_ConfigDesc,
		VwPlanInfo_LogTime.Name:     VwPlanInfo_LogTime,
		VwPlanInfo_AutoId.Name:      VwPlanInfo_AutoId,
		VwPlanInfo_BarcodeDesc.Name: VwPlanInfo_BarcodeDesc,
		VwPlanInfo_PartCode.Name:    VwPlanInfo_PartCode,
		VwPlanInfo_PlanDttm.Name:    VwPlanInfo_PlanDttm,
		VwPlanInfo_Class1.Name:      VwPlanInfo_Class1,
		VwPlanInfo_ConfigKey.Name:   VwPlanInfo_ConfigKey,
		VwPlanInfo_Seq.Name:         VwPlanInfo_Seq,
		VwPlanInfo_Serial.Name:      VwPlanInfo_Serial,
		VwPlanInfo_State.Name:       VwPlanInfo_State,
		VwPlanInfo_Station.Name:     VwPlanInfo_Station,
		VwPlanInfo_Memo.Name:        VwPlanInfo_Memo,
		VwPlanInfo_CustomId.Name:    VwPlanInfo_CustomId,
		VwPlanInfo_Codebar.Name:     VwPlanInfo_Codebar,
		VwPlanInfo_IsRefresh.Name:   VwPlanInfo_IsRefresh,
		VwPlanInfo_StateName.Name:   VwPlanInfo_StateName,
		VwPlanInfo_CreateTime.Name:  VwPlanInfo_CreateTime,
	},
	[]string{},
	[]string{"station_code", "station_desc", "config_desc", "log_time", "auto_id", "barcode_desc", "part_code", "plan_dttm", "class1", "config_key", "seq", "serial", "state", "station", "memo", "custom_id", "codebar", "is_refresh", "state_name"})
